> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/pt/automacao/runbooks/runbook-references/device/security/restrict-or-release-code-execution.md).

# Restringir ou libertar a execução de código

### Descrição

Este runbook restringe a execução de código num dispositivo via Microsoft Defender for Endpoint, para que apenas código assinado pela Microsoft possa ser executado. Opcionalmente, pode remover uma restrição existente. Forneça um motivo curto para que a ação fique documentada no serviço.

### Localização

Dispositivo → Segurança → Restringir ou Libertar Execução de Código

**Nome completo do runbook**

rjgit-device\_security\_restrict-or-release-code-execution

### Detalhes

| Propriedade         | Valor                              |
| ------------------- | ---------------------------------- |
| Versão              | 1.0.1                              |
| Módulos necessários | RealmJoin.RunbookHelper (>= 0.8.9) |
| Agendável           | não                                |

### Permissões

#### Permissões de aplicação

* **Tipo**: WindowsDefenderATP
  * Machine.Read.All
    * *Encontra a máquina do Microsoft Defender for Endpoint através de /machines filtrado por aadDeviceId*
  * Machine.RestrictExecution
    * *Aciona restrictCodeExecution ou unrestrictCodeExecution na máquina*

### Parâmetros

#### DeviceId

O ID do dispositivo de destino.

| Propriedade      | Valor                                           |
| ---------------- | ----------------------------------------------- |
| Obrigatório      | verdadeiro                                      |
| Valor padrão     |                                                 |
| Tipo             | String                                          |
| Oculto no portal | sim (predefinido via personalização do runbook) |

#### Liberar

"Restrict Code Execution" (valor final: false) ou "Remove Code Restriction" (valor final: true) podem ser selecionados como ação a executar. Se definido como false, o runbook restringirá a execução de código no dispositivo no Microsoft Defender for Endpoint. Se definido como true, removerá uma restrição existente de execução de código no dispositivo no Microsoft Defender for Endpoint.

| Propriedade                | Valor      |
| -------------------------- | ---------- |
| Obrigatório                | verdadeiro |
| Valor padrão               | Falso      |
| Tipo                       | Booleano   |
| Nome de exibição no portal | Ação       |

**Opções do portal**

| Opção do portal               | Valor      |
| ----------------------------- | ---------- |
| Restringir Execução de Código | falso      |
| Remover Restrição de Código   | verdadeiro |

#### Comentário

Um motivo breve para a ação de (des)restrição.

| Propriedade                | Valor                        |
| -------------------------- | ---------------------------- |
| Obrigatório                | verdadeiro                   |
| Valor padrão               | Possível risco de segurança. |
| Tipo                       | String                       |
| Nome de exibição no portal | Motivo da (Des)restrição     |

[Voltar à visão geral da referência do runbook](/pt/automacao/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.realmjoin.com/pt/automacao/runbooks/runbook-references/device/security/restrict-or-release-code-execution.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
